<?php

namespace App\Services\Equipment;

use App\Entities\Equipment\IpEntity;
use App\Models\Equipment\IpModel;
use CodeIgniter\HTTP\IncomingRequest;

class IpService extends EquipmentService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Ip');
    }
    public function getModelClass(): IpModel
    {
        return new IpModel();
    }
    public function getEntityClass(): IpEntity
    {
        return new IpEntity();
    }
    public function getFields(): array
    {
        return [
            "lineinfo_uid",
            "ip",
            "status",
        ];
    }
    public function getFilterFields(): array
    {
        return ["lineinfo_uid", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
}
